package com.gh.gamecenter.core.provider

import android.content.Context
import android.content.Intent
import com.alibaba.android.arouter.facade.template.IProvider

interface IWebProvider : IProvider {
    fun getIntent(context: Context, url: String, autoCompletionTitle: Boolean): Intent?

    fun getWebIntent(context: Context, title: String, url: String): Intent?

    fun getBindWechatIntent(context: Context): Intent?

    fun getSecurityCertificationIntent(context: Context): Intent?
}